<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Cliente extends Model
{
    protected $fillable = [
        'tenant_id',
        'nombre',
        'telefono',
        'email',
        'tipo_identificacion',
        'identificacion',
        'razon_social',
        'ruc',
        'ciudad',
        'direccion',
    ];

    public function tenant(): BelongsTo
    {
        return $this->belongsTo(Tenant::class);
    }

    public function casos(): HasMany
    {
        return $this->hasMany(Caso::class);
    }
}
